package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import java.util.List;
import java.util.Map;

public class NewAutomationMessageNotification extends NewMessageNotification {

    private Object data;
    private String type;
    private List<Map<String,Object>> customData;

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType;
    }

    private String senderType;


    public NewAutomationMessageNotification(){

    };

    public NewAutomationMessageNotification(String displayName, String message, String timestamp, String method, boolean isValidEmail, Object data, String type, List<Map<String, Object>> customData, String senderType) {
        super(displayName, message, timestamp, method,isValidEmail, senderType);
        this.data = data;
        this.type = type;
        this.customData = customData;
        this.senderType = senderType;
    }


    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<Map<String, Object>> getCustomData() {
        return customData;
    }

    public void setCustomData(List<Map<String, Object>> customData) {
        this.customData = customData;
    }


    @Override
    public String toString() {
        return "NewAutomationMessageNotification{" +
                "data=" + data +
                ", type='" + type + '\'' +
                ", customData=" + customData +
                ", displayName=" + getDisplayName() +
                ", type=" + getType() +
                ", message=" + getMessage() +
                ", method=" + getMethod() +
                ", timestamp=" + getTimestamp() +
                '}';
    }
}
